---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# List sales channels V2

Returns a collection with all sales channels.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Sales Channel",
      "description": "SalesChannel are the configured Shops/Marketplaces."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v2/salesChannels": {
      "get": {
        "x-internal": false,
        "summary": "List sales channels V2",
        "description": "Returns a collection with all sales channels.",
        "operationId": "salesChannel.list.v2",
        "tags": [
          "Sales Channel"
        ],
        "parameters": [
          {
            "in": "query",
            "name": "page",
            "required": false,
            "style": "deepObject",
            "schema": {
              "type": "object",
              "additionalProperties": false,
              "required": [
                "number",
                "size"
              ],
              "properties": {
                "number": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page number should be an integer greater than or equal to 1"
                },
                "size": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page size should usually be an integer between 10 and 50."
                }
              }
            }
          },
          {
            "name": "filter",
            "in": "query",
            "style": "deepObject",
            "explode": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                  "key",
                  "op",
                  "value"
                ],
                "properties": {
                  "key": {
                    "type": "string",
                    "enum": [
                      "id",
                      "name",
                      "moduleName"
                    ],
                    "description": "Field to filter by."
                  },
                  "op": {
                    "type": "string",
                    "enum": [
                      "equals",
                      "notEquals",
                      "in",
                      "notIn",
                      "contains",
                      "notContains",
                      "startsWith",
                      "endsWith"
                    ],
                    "description": "Operator to use for filtering."
                  },
                  "value": {
                    "oneOf": [
                      {
                        "type": "string",
                        "description": "Always passed as string in query; backend parses as string, numeric, date, or datetime based on 'key'."
                      },
                      {
                        "type": "array",
                        "items": {
                          "type": "string"
                        },
                        "description": "Used for the 'in' operator. Items must be strings representing numeric, date, etc."
                      }
                    ]
                  }
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A list of sales channels that the individual customer has integrated with Xentral.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "required": [
                    "data",
                    "extra"
                  ],
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "additionalProperties": false,
                        "required": [
                          "uuid"
                        ],
                        "properties": {
                          "id": {
                            "type": "string",
                            "description": "The unique identifier of the sales channel",
                            "example": "1301"
                          },
                          "uuid": {
                            "description": "UUID identifier of the resource.",
                            "type": "string",
                            "pattern": "^$|^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}$",
                            "example": "a00fd11e-3a67-433b-83c0-4e815fd4a0e1"
                          },
                          "project": {
                            "type": "object",
                            "description": "The project ID this sales channel belongs to",
                            "example": {
                              "id": "1"
                            },
                            "additionalProperties": false,
                            "properties": {
                              "id": {
                                "type": "string"
                              }
                            }
                          },
                          "moduleName": {
                            "type": "string",
                            "description": "The type of sales channel platform (e.g. Shopify, Amazon, etc.)",
                            "enum": [
                              "shopify",
                              "amazon",
                              "shopware6",
                              "woocommerce"
                            ],
                            "example": "shopify"
                          },
                          "name": {
                            "type": "string",
                            "description": "The display name of the sales channel",
                            "example": "Test Shopify #1"
                          },
                          "stockExport": {
                            "type": "boolean",
                            "description": "Whether stock levels are automatically exported",
                            "example": true
                          },
                          "productExport": {
                            "type": "boolean",
                            "description": "Whether product data is automatically exported",
                            "example": true
                          },
                          "active": {
                            "type": "boolean",
                            "description": "Whether the sales channel is currently active",
                            "example": true
                          },
                          "preventDeletion": {
                            "type": "boolean",
                            "description": "Whether the sales channel can be deleted in the frontend",
                            "example": true
                          },
                          "hideFromOverview": {
                            "type": "boolean",
                            "description": "Whether the sales channel can be seen in the frontend list",
                            "example": true
                          },
                          "isMigratedToConnect": {
                            "type": "boolean",
                            "description": "Whether the sales channel is migrated to Connect",
                            "example": true
                          },
                          "createdAt": {
                            "type": "string",
                            "format": "date-time",
                            "description": "The timestamp when the sales channel was created",
                            "example": "2023-01-01T00:00:00Z"
                          },
                          "updatedAt": {
                            "type": "string",
                            "format": "date-time",
                            "description": "The timestamp when the sales channel was last updated",
                            "example": "2023-01-02T00:00:00Z"
                          }
                        }
                      }
                    },
                    "extra": {
                      "type": "object",
                      "required": [
                        "totalCount",
                        "page"
                      ],
                      "additionalProperties": false,
                      "x-description-ignore": true,
                      "properties": {
                        "totalCount": {
                          "description": "the total count of all items",
                          "type": "integer",
                          "example": 1
                        },
                        "page": {
                          "description": "The pagination object containing the current page number and size",
                          "type": "object",
                          "required": [
                            "number",
                            "size"
                          ],
                          "additionalProperties": false,
                          "properties": {
                            "number": {
                              "description": "The current page number",
                              "type": "integer",
                              "example": 1
                            },
                            "size": {
                              "description": "The size of the pages",
                              "type": "integer",
                              "example": 10
                            }
                          },
                          "example": {
                            "number": 1,
                            "size": 10
                          }
                        }
                      },
                      "example": {
                        "totalCount": 1,
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          }
        }
      }
    }
  }
}
```